php-json-schema (6.9.0-1) unstable; urgency=medium

  [ Christian López Espínola ]
  * fix: allow "#", "?", and "?#" as valid URI references per RFC 3986 (#910)
  * fix: annotate resolved schemas with dialect-aware id keyword (#912)

  [ Danny van der Sluijs ]
  * fix: treat optional JSON Schema test suite cases as real tests (#913) (#915)

  [ github-actions[bot] ]
  * docs: Prepare release 6.9.0

 -- David Prévot <taffit@debian.org>  Wed, 10 Jun 2026 08:49:36 +0200

php-json-schema (6.8.2-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * Update to json schema test suite main branch (#906)

  [ github-actions[bot] ]
  * docs: Prepare release 6.8.2

 -- David Prévot <taffit@debian.org>  Fri, 08 May 2026 08:46:59 +0200

php-json-schema (6.8.0-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * Update readme for draft 7 (#899)

  [ github-actions[bot] ]
  * docs: Prepare release 6.8.0

  [ Copilot ]
  * Remove `v` prefix from release tags and GitHub releases (#895)
  * Deprecate `Constraint::CHECK_MODE_NONE` (#896)

  [ David Prévot ]
  * Revert "Handle upstream tags starting with “v”"
  * Update Standards-Version to 4.7.4

 -- David Prévot <taffit@debian.org>  Sun, 05 Apr 2026 16:30:00 +0200

php-json-schema (6.7.2-1) unstable; urgency=medium

  [ github-actions[bot] ]
  * docs: Prepare release 6.7.2

 -- David Prévot <taffit@debian.org>  Wed, 18 Feb 2026 08:52:35 +0100

php-json-schema (6.7.1-1) unstable; urgency=medium

  [ Copilot ]
  * Include actual media type in InvalidSchemaMediaTypeException (#872)
  * Enforce RFC 1035 hostname label length limits in draft 3/4 (#878)
  * Fix TypeError in pattern property validation with integer keys (#880)

  [ Danny van der Sluijs ]
  * docs: Correct trailing spaces in markdown files and add .editorconfig
    instruction file (#873)
  * Feat: Add Draft-07 support (#847)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Handle upstream tags starting with “v”
  * Don’t install release scripts

 -- David Prévot <taffit@debian.org>  Sat, 14 Feb 2026 07:58:35 +0100

php-json-schema (6.6.4-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * docs: Changelog for 6.6.4 release

  [ Rob ]
  * UriValidator file: tests/fix(es) (#858)

  [ David Prévot ]
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Fri, 26 Dec 2025 15:33:14 +0100

php-json-schema (6.6.3-2) unstable; urgency=medium

  * Build-depend on php-phpspec-prophecy (Closes: #1122317)

 -- David Prévot <taffit@debian.org>  Wed, 10 Dec 2025 11:19:49 +0100

php-json-schema (6.6.3-1) unstable; urgency=medium

  [ Edi Modrić ]
  * Update php-enum dependency version to ^4.4 (#854)

  [ Danny van der Sluijs ]
  * docs: Prepare 6.6.3 release

 -- David Prévot <taffit@debian.org>  Wed, 03 Dec 2025 13:56:59 +0100

php-json-schema (6.6.2-1) unstable; urgency=medium

  [ Dave Long ]
  * Allow underscore and tilde in URI hostnames as per RFC 3986 (#853)

  [ Danny van der Sluijs ]
  * build: Move PHP 8.5 to default add PHP 8.6 as experimental (#852)
  * docs: Prepare 6.6.2 release

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 10:14:07 +0100

php-json-schema (6.6.1-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * Don't skip ref expanding for property called enum when child of property
    called properties (#851)
  * docs: Prepare 6.6.1 release

 -- David Prévot <taffit@debian.org>  Sun, 09 Nov 2025 10:03:04 +0100

php-json-schema (6.6.0-1) unstable; urgency=medium

  [ Viktor Djupsjöbacka ]
  * Add lint check for class autoloading PSR compliance (#845)

  [ Danny van der Sluijs ]
  * feat: add implementation for strict fully validating using draft-06 schema
    (#835)
  * docs: Prepare 6.6.0 release

  [ David Prévot ]
  * Drop now useless file

 -- David Prévot <taffit@debian.org>  Sun, 12 Oct 2025 13:07:51 +0200

php-json-schema (6.5.2-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Fix issue when http headers are already present (#843)

  [ Danny van der Sluijs ]
  * docs: Prepare 6.5.2 release

 -- David Prévot <taffit@debian.org>  Thu, 11 Sep 2025 12:29:25 +0200

php-json-schema (6.5.1-1) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released

  [ Danny van der Sluijs ]
  * refactor: Update test case to current (PHP) standards (#831)
  * Upgrade test suite to use generators (#834)
  * feat: update to latest json schema test suite (#821)
  * Fix PHP 8.5 $http_response_header deprecation (#841)
  * docs: Prepare 6.5.1 release

  [ David Prévot ]
  * debian/control: Document nocheck flag
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Wed, 03 Sep 2025 08:21:35 +0200

php-json-schema (6.4.2-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Danny van der Sluijs ]
  * Fix objects are non unique despite key order (#819)
  * Update constraint class to PHP 7.2 language level (#824)
  * refactor: update BaseConstraint.php to PHP 7.2 language level (#826)
  * docs: prepare 6.4.2 release

  [ Björn Brala ]
  * Update UPGRADE-6.0.md (#823)

 -- David Prévot <taffit@debian.org>  Thu, 05 Jun 2025 07:58:36 +0200

php-json-schema (6.4.1-1) unstable; urgency=medium

  [ Danny van der Sluijs ]
  * docs: prepare 6.4.1 release

  [ Nicolas Grekas ]
  * Fix support for 32bits PHP (#817)

  [ David Prévot ]
  * Revert "Track version 5 for now"
  * New php-enum dependency
  * Update Standards-Version to 4.7.2
  * Ship upgrade notes
  * Ship changelog from upstream

 -- David Prévot <taffit@debian.org>  Sat, 05 Apr 2025 10:54:34 +0200

php-json-schema (5.3.0-2) unstable; urgency=medium

  * Ignore tests for now (Closes: #1070557)

 -- David Prévot <taffit@debian.org>  Sun, 29 Dec 2024 13:53:40 +0100

php-json-schema (5.3.0-1) unstable; urgency=medium

  [ Jordi Boggiano ]
  * Bump php requirement to 7.1+

  [ Ayesh Karunaratne ]
  * [PHP 8.4] Fixes for implicit nullability deprecation

  [ David Prévot ]
  * Track version 5 for now
  * Update Standards-Version to 4.7.0
  * Use --require-file for phpabtl (Closes: #1073567)

 -- David Prévot <taffit@debian.org>  Sun, 14 Jul 2024 18:10:14 +0200

php-json-schema (5.2.13-1) unstable; urgency=medium

  [ Takayasu Oyama ]
  * Add attribute `#[\AllowDynamicProperties]` to allow applying
    defaults without deprecation warning (#695) (#701)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 26 Sep 2023 13:55:21 +0200

php-json-schema (5.2.12-2) unstable; urgency=medium

  * Use php-phpspec-prophecy for tests

 -- David Prévot <taffit@debian.org>  Sun, 28 Aug 2022 13:56:05 +0200

php-json-schema (5.2.12-1) unstable; urgency=medium

  [ Jérôme Deuchnord ]
  * Fix type validation failing for "any" and false-y type wording

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 20 Jun 2022 09:28:58 +0200

php-json-schema (5.2.11-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Do not call strlen() on null (#657)

  [ Guilliam Xavier ]
  * Fix CI (php-cs-fixer, HHVM) (#662)

  [ David Prévot ]
  * Simplify gbp import-orig
  * Update standards version to 4.6.0, no changes needed
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 21:36:38 -0400

php-json-schema (5.2.10-2) unstable; urgency=medium

  * Rename main branch to debian/latest (DEP-14)
  * Update watch file format version to 4.
  * Set Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.1
  * Adapt to recent version of PHPUnit (9)

 -- David Prévot <taffit@debian.org>  Sat, 12 Dec 2020 12:05:58 -0400

php-json-schema (5.2.10-1) unstable; urgency=medium

  [ Mathias Berchtold ]
  * Fix PHP 8 deprecated warnings (#619)

  [ David Prévot ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 11:00:34 -1000

php-json-schema (5.2.9-1) unstable; urgency=medium

  * Document gbp import-ref usage
  * Use upstream testsuite
  * Update standards version, no changes needed.
  * Install schemas
  * Handle package://
  * Set upstream metadata fields: Repository.
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Sat, 05 Oct 2019 16:25:26 -1000

php-json-schema (5.2.8-1) unstable; urgency=medium

  * Use debhelper-compat 12
  * Use https in Format
  * Drop get-orig-source target
  * Use /usr/share/dpkg/default.mk instead of dpkg-parsechangelog
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Fri, 18 Jan 2019 15:32:25 -1000

php-json-schema (5.2.7-1) unstable; urgency=medium

  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 21:38:02 -1000

php-json-schema (5.2.6-1) unstable; urgency=medium

  [ Erayd ]
  * Add a path to the default internal URI (#459) (#460)

 -- David Prévot <taffit@debian.org>  Tue, 24 Oct 2017 15:56:33 -1000

php-json-schema (5.2.5-1) unstable; urgency=medium

  [ Erayd ]
  * Don't add a `file://` prefix to URI that already have a scheme (#455) (#457)

 -- David Prévot <taffit@debian.org>  Fri, 13 Oct 2017 08:53:16 -1000

php-json-schema (5.2.4-1) unstable; urgency=medium

  [ Erayd ]
  * Added property name in draft-3 required error (#432) (#433)

  [ David Prévot ]
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Wed, 04 Oct 2017 15:48:54 -1000

php-json-schema (5.2.1-2) unstable; urgency=medium

  * Upload new version needed by composer 1.4.3 to unstable

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 16:00:01 -0400

php-json-schema (5.2.1-1) experimental; urgency=medium

  * Ship upstream examples
  * Ship upstream drafts
  * Update Standards-Version to 4.0.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 14:33:27 -0400

php-json-schema (2.0.5-1) experimental; urgency=medium

  [ bighappyface ]
  * chore(composer): remove version in favor of VCS tags

  [ Dmitry Varennikov ]
  * Throw `ResourceNotFoundException` outside of re-defined error-handler

  [ dishuostec ]
  * Wrong constraint of error

 -- David Prévot <taffit@debian.org>  Sat, 04 Jun 2016 11:49:47 -0400

php-json-schema (2.0.4-1) experimental; urgency=medium

  [ David Porter ]
  * Revert "Do not override error handler"

  [ bighappyface ]
  * chore(release): 2.0.4

 -- David Prévot <taffit@debian.org>  Wed, 25 May 2016 11:26:09 -0400

php-json-schema (2.0.3-1) experimental; urgency=medium

  [ Sławomir Chrobak ]
  * Skips min/max properties validation for non objects

  [ bighappyface ]
  * chore(release): 2.0.3

  [ Dmitry Varennikov ]
  * Deleted unused stream context and check if a local file exists

 -- David Prévot <taffit@debian.org>  Wed, 11 May 2016 19:20:04 -0400

php-json-schema (2.0.1-1) experimental; urgency=medium

  [ bighappyface ]
  * feat(UriRetriever): application/json support
  * chore(release): 2.0.1

 -- David Prévot <taffit@debian.org>  Sat, 30 Apr 2016 16:25:07 -0400

php-json-schema (2.0.0-1) experimental; urgency=medium

  * Upload to experimental since composer currently (as of 1.0.0-1)
    depends on php-json-schema (<< 2~~)

  [ bighappyface ]
  * chore(LICENSE): switch to MIT

  [ Rudolf Tucek ]
  * Moving constraints min- and maxProperties to ObjectConstraint

  [ Benoît Burnichon ]
  * Add Rfc339 utility class to create instances of DateTime

  [ Joost Nijhuis ]
  * Fix RefResolver and make it compatible with draft-04 #240

  [ David Prévot ]
  * Update Standards-Version to 3.9.8
  * Update license (switch back to Expat)

 -- David Prévot <taffit@debian.org>  Fri, 15 Apr 2016 09:58:20 -0400

php-json-schema (1.6.1-2) unstable; urgency=medium

  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Wed, 09 Mar 2016 15:57:55 -0400

php-json-schema (1.6.1-1) unstable; urgency=medium

  [ Will Pillar ]
  * Fix exclusive min/max strictness

  [ bighappyface ]
  * feat(composer): require PHP 5.3.29 (PHP 5.3.x EOL version) minimum
  * feat(Factory): add setConstraintClass

 -- David Prévot <taffit@debian.org>  Wed, 27 Jan 2016 22:53:29 -0400

php-json-schema (1.6.0-1) unstable; urgency=medium

  [ Maks3w ]
  * Add constraint factory

  [ Soufiane Ghzal ]
  * Create .gitattributes

  [ David Prévot ]
  * Adapt packaging to removed tests

 -- David Prévot <taffit@debian.org>  Thu, 07 Jan 2016 18:41:21 -0400

php-json-schema (1.5.0-1) unstable; urgency=medium

  [ Andy Raines ]
  * Now more functionality for references works

 -- David Prévot <taffit@debian.org>  Sat, 12 Sep 2015 02:33:22 -0400

php-json-schema (1.4.4-1) unstable; urgency=medium

  [ Frank Göldner ]
  * Throw exception if max depth exceeded

 -- David Prévot <taffit@debian.org>  Wed, 29 Jul 2015 15:26:02 +0200

php-json-schema (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Tue, 16 Jun 2015 09:53:42 -0400

php-json-schema (1.4.1-1) unstable; urgency=medium

  [ Martin Aarhof ]
  * proposal on new constraints name

  [ David Prévot ]
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 18 Apr 2015 23:28:05 -0400

php-json-schema (1.3.7-1) unstable; urgency=low

  [ andrea rota ]
  * Initial release (closes: #714179)

 -- David Prévot <taffit@debian.org>  Fri, 13 Feb 2015 16:44:08 -0400
